package com.mortals.xhx.module.skin.model;

import com.mortals.xhx.module.skin.model.vo.SkinVo;
/**
* 皮肤实体对象
*
* @author zxfei
* @date 2023-04-03
*/

public class SkinEntity extends SkinVo {
    private static final long serialVersionUID = 1L;

    /**
    * 所属种类,来源种类
    */
    private Long categoryId;
    /**
    * 产品id
    */
    private Long productId;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * css模板合成后文件地址
    */
    private String cssFilePath;
    /**
    * 产品皮肤名称，唯一且不为空
    */
    private String name;
    /**
    * 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    */
    private String imageResolution;
    /**
    * 预览图片
    */
    private String previewImagePath;
    /**
    * 排序编号
    */
    private Integer sortNum;
    /**
    * 是否使用
    */
    private Integer used;



    public SkinEntity(){}
    /**
    * 获取 所属种类,来源种类
    * @return Long
    */
    public Long getCategoryId(){
        return categoryId;
    }
    /**
    * 设置 所属种类,来源种类
    * @param categoryId
    */
    public void setCategoryId(Long categoryId){
        this.categoryId = categoryId;
    }
    /**
    * 获取 产品id
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品id
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 css模板合成后文件地址
    * @return String
    */
    public String getCssFilePath(){
        return cssFilePath;
    }
    /**
    * 设置 css模板合成后文件地址
    * @param cssFilePath
    */
    public void setCssFilePath(String cssFilePath){
        this.cssFilePath = cssFilePath;
    }
    /**
    * 获取 产品皮肤名称，唯一且不为空
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 产品皮肤名称，唯一且不为空
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @return String
    */
    public String getImageResolution(){
        return imageResolution;
    }
    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolution
    */
    public void setImageResolution(String imageResolution){
        this.imageResolution = imageResolution;
    }
    /**
    * 获取 预览图片
    * @return String
    */
    public String getPreviewImagePath(){
        return previewImagePath;
    }
    /**
    * 设置 预览图片
    * @param previewImagePath
    */
    public void setPreviewImagePath(String previewImagePath){
        this.previewImagePath = previewImagePath;
    }
    /**
    * 获取 排序编号
    * @return Integer
    */
    public Integer getSortNum(){
        return sortNum;
    }
    /**
    * 设置 排序编号
    * @param sortNum
    */
    public void setSortNum(Integer sortNum){
        this.sortNum = sortNum;
    }
    /**
    * 获取 是否使用
    * @return Integer
    */
    public Integer getUsed(){
        return used;
    }
    /**
    * 设置 是否使用
    * @param used
    */
    public void setUsed(Integer used){
        this.used = used;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SkinEntity) {
            SkinEntity tmp = (SkinEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",categoryId:").append(getCategoryId());
        sb.append(",productId:").append(getProductId());
        sb.append(",productName:").append(getProductName());
        sb.append(",cssFilePath:").append(getCssFilePath());
        sb.append(",name:").append(getName());
        sb.append(",imageResolution:").append(getImageResolution());
        sb.append(",previewImagePath:").append(getPreviewImagePath());
        sb.append(",sortNum:").append(getSortNum());
        sb.append(",used:").append(getUsed());
        return sb.toString();
    }

    public void initAttrValue(){

            this.categoryId = null;

            this.productId = null;

            this.productName = null;

            this.cssFilePath = null;

            this.name = null;

            this.imageResolution = null;

            this.previewImagePath = null;

            this.sortNum = null;

            this.used = 0;
    }
}